Bug 1130772 - [abrt] gnome-search-tool: build_popup_menu_for_file(): gnome-search-tool killed by SIGSEGV
Summary: [abrt] gnome-search-tool: build_popup_menu_for_file(): gnome-search-tool kill...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-search-tool
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:09f889e143878d5b44c7e13f8e0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 14:53 UTC by D. Charles Pyle
Modified: 2015-12-02 16:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:25:07 UTC


Attachments (Terms of Use)
File: backtrace (70.07 KB, text/plain)
2014-08-17 14:54 UTC, D. Charles Pyle
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-17 14:54 UTC, D. Charles Pyle
no flags Details
File: core_backtrace (10.83 KB, text/plain)
2014-08-17 14:54 UTC, D. Charles Pyle
no flags Details
File: dso_list (8.87 KB, text/plain)
2014-08-17 14:54 UTC, D. Charles Pyle
no flags Details
File: environ (1.77 KB, text/plain)
2014-08-17 14:54 UTC, D. Charles Pyle
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-17 14:54 UTC, D. Charles Pyle
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-17 14:54 UTC, D. Charles Pyle
no flags Details
File: maps (47.49 KB, text/plain)
2014-08-17 14:54 UTC, D. Charles Pyle
no flags Details
File: open_fds (1.94 KB, text/plain)
2014-08-17 14:54 UTC, D. Charles Pyle
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2014-08-17 14:54 UTC, D. Charles Pyle
no flags Details
File: var_log_messages (583 bytes, text/plain)
2014-08-17 14:54 UTC, D. Charles Pyle
no flags Details

Description D. Charles Pyle 2014-08-17 14:53:59 UTC
Description of problem:
Right-clicked on icon to open containing folder and also trying to open a preview of icon I was searching for.  This is an old bug that still is happening on F21.  After a few right-clicks on different icons in the search results, and choosing either Open in Folder or Open, the app crashes.  Just right-clicking on the icon but not actually choosing an item does not always trigger the bug and result in a crash.  One must actually choose an item, and then choose other items after right-clicking.  So far, this has been 100% reproducible on my machine in at least three versions of Fedora.

Version-Release number of selected component:
gnome-search-tool-3.6.0-4.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gnome-search-tool
crash_function: build_popup_menu_for_file
executable:     /usr/bin/gnome-search-tool
kernel:         3.16.1-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 build_popup_menu_for_file at gsearchtool-callbacks.c:981
 #1 file_button_release_event_cb at gsearchtool-callbacks.c:1338
 #2 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:85
 #7 gtk_widget_event_internal at gtkwidget.c:7775
 #8 propagate_event_up at gtkmain.c:2414
 #9 propagate_event at gtkmain.c:2522
 #10 gtk_main_do_event at gtkmain.c:1748
 #16 gtk_main at gtkmain.c:1207

Potential duplicate: bug 1069443

Comment 1 D. Charles Pyle 2014-08-17 14:54:01 UTC
Created attachment 927490 [details]
File: backtrace

Comment 2 D. Charles Pyle 2014-08-17 14:54:02 UTC
Created attachment 927491 [details]
File: cgroup

Comment 3 D. Charles Pyle 2014-08-17 14:54:03 UTC
Created attachment 927492 [details]
File: core_backtrace

Comment 4 D. Charles Pyle 2014-08-17 14:54:03 UTC
Created attachment 927493 [details]
File: dso_list

Comment 5 D. Charles Pyle 2014-08-17 14:54:04 UTC
Created attachment 927494 [details]
File: environ

Comment 6 D. Charles Pyle 2014-08-17 14:54:05 UTC
Created attachment 927495 [details]
File: exploitable

Comment 7 D. Charles Pyle 2014-08-17 14:54:06 UTC
Created attachment 927496 [details]
File: limits

Comment 8 D. Charles Pyle 2014-08-17 14:54:06 UTC
Created attachment 927497 [details]
File: maps

Comment 9 D. Charles Pyle 2014-08-17 14:54:07 UTC
Created attachment 927498 [details]
File: open_fds

Comment 10 D. Charles Pyle 2014-08-17 14:54:08 UTC
Created attachment 927499 [details]
File: proc_pid_status

Comment 11 D. Charles Pyle 2014-08-17 14:54:08 UTC
Created attachment 927500 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-11-04 15:15:15 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 03:25:09 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.